Skip to main content

Create a Persistent Volume

Creates a persistent volume (PV) on the cluster. Send a name and pv_size (in GB, matching one of the PV Plans sizes). The path takes the cluster_id (from List / Detail, not the service_id).

POST/api/v1/persistent_volume/{cluster_id}/

Path parameters

  • cluster_idPathintegerrequired

    The cluster_id of the cluster (from List / Detail).

    • required
    • must be a valid cluster_id
    example10001

Query parameters

  • project_idQueryintegerrequired

    Identifier of the project to scope the request to. Required integer project ID.

    • required
    • must be a valid integer project ID
    example{{project_id}}
  • apikeyQuerystringrequired

    API key used to authenticate the request.

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringrequired

    Region of the cluster.

    • required
    • must be a valid region name (e.g., Delhi, Chennai)
    example{{location}}

Request body

application/json

object

Create a persistent volume on the cluster.

namestringrequired

Display name of the persistent volume.

examplemy-pv-10gb
  • required
pv_sizeintegerrequired

Size of the volume in GB. Must match one of the sizes returned by PV Plans.

example10
  • required
  • must be a valid PV plan size in GB (e.g., 10, 25, 50, 100, 250, 500, 1000)

Responses

200Successful response
object
codeinteger
example200
dataobject
errorsobject
messagestring
examplepersistent volume created successfully